# Diagnostics library test faults
# These faults do not represent real robot faults or reactions
# Highly Confidential and Proprietary Zoox Information. Copyright (c) Zoox.

component: 'BBC'
source_enum: kEmuBBC
namespace: zoox::bbc
can_messages:
  - status_msg: BBC_alertStatus
    log_msg: BBC_alertLog
can_import: firmware/common/can/generated/vh6/vh6b/bbc.h
can_namespace: vh6b
faults:
  - id: 0
    name: AppEarlyInitFailure
    severity: ERROR
    description: BBC internal bootup fault, casued by Unknown.
    troubleshooting_steps: Forward CAN logs to Firmware support.
  - id: 1
    name: AppInitFailure
    severity: ERROR
    description: BBC internal initialization fault, caused by Unknown.
    troubleshooting_steps: Forward CAN logs to Firmware support.
  - id: 2
    name: Can0BusError
    severity: ERROR
    description: Internal CAN bus fault connecting to BMS_CAN, caused by Harness issue
      or defective BBC.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support,
      possibly replace BBC.
  - id: 3
    name: Can0TxError
    severity: ERROR
    description: CAN transmit error connecting to BMS_CAN, caused by Excessive bus load,
      harness issue or defective BBC.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
  - id: 4
    name: Can0RxError
    severity: ERROR
    description: CAN receive error, caused by Excessive bus load, harness issue, or
      defective BBC.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
